Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCNotificationEventImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCNotificationEventImpl

All Implemented Interfaces:
  STCNotificationEvent

    public class STCNotificationEventImpl

extends java.lang.Object
implements STCNotificationEvent

Class that models the notification event as notified by the LDAPListener class.

Version:
  $Revision: 1.5 $
Author:

Constructor Summary
`STCNotificationEventImpl()`

Method Summary
`int` | `getEventType()` Gets the type of this event such as OBJECT_ADDED
`STCAttributes` | `getNewAttributes()` Gets the new attributes of the entry after modification
`java.lang.String` | `getNewName()` Gets the new name of the entry after modification
`STCAttributes` | `getOldAttributes()` Gets the old attributes of the entry before modification
`java.lang.String` | `getOldName()` Gets the old name of the entry before modification
`void` | `setEventType(int eventType)` Sets the type of this event such as OBJECT_ADDED
`void` | `setNewAttributes(STCAttributes newAttributes)` Sets the new attributes of the entry after modification
`void` | `setNewName(java.lang.String newName)` Sets the new name of the entry after modification
`void` | `setOldAttributes(STCAttributes oldAttributes)` Sets the old attributes of the entry before modification
`void` | `setOldName(java.lang.String oldName)` Sets the old name of the entry before modification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCNotificationEventImpl

    public STCNotificationEventImpl()

Method Detail

### getOldName

    public java.lang.String getOldName()

  Gets the old name of the entry before modification

  Specified by:
    `getOldName` in interface `STCNotificationEvent`
  Returns:
    the old name of the entry before modification

### setOldName

    public void setOldName(java.lang.String oldName)

  Sets the old name of the entry before modification

  Specified by:
    `setOldName` in interface `STCNotificationEvent`
  Parameters:
    `the` - old name of the entry before modification

### getNewName

    public java.lang.String getNewName()

  Gets the new name of the entry after modification

  Specified by:
    `getNewName` in interface `STCNotificationEvent`
  Returns:
    the new name of the entry after modification

### setNewName

    public void setNewName(java.lang.String newName)

  Sets the new name of the entry after modification

  Specified by:
    `setNewName` in interface `STCNotificationEvent`
  Parameters:
    `the` - new name of the entry after modification

### getOldAttributes

    public STCAttributes getOldAttributes()

  Gets the old attributes of the entry before modification

  Specified by:
    `getOldAttributes` in interface `STCNotificationEvent`
  Returns:
    the old attributes of the entry before modification

### setOldAttributes

    public void setOldAttributes(STCAttributes oldAttributes)

  Sets the old attributes of the entry before modification

  Specified by:
    `setOldAttributes` in interface `STCNotificationEvent`
  Parameters:
    `the` - old attributes of the entry before modification

### getNewAttributes

    public STCAttributes getNewAttributes()

  Gets the new attributes of the entry after modification

  Specified by:
    `getNewAttributes` in interface `STCNotificationEvent`
  Returns:
    the new attributes of the entry after modification

### setNewAttributes

    public void setNewAttributes(STCAttributes newAttributes)

  Sets the new attributes of the entry after modification

  Specified by:
    `setNewAttributes` in interface `STCNotificationEvent`
  Parameters:
    `the` - new attributes of the entry after modification

### getEventType

    public int getEventType()

  Gets the type of this event such as OBJECT_ADDED

  Specified by:
    `getEventType` in interface `STCNotificationEvent`
  Returns:
    the type of this event
  See Also:
    `NamingEvent`

### setEventType

    public void setEventType(int eventType)

  Sets the type of this event such as OBJECT_ADDED

  Specified by:
    `setEventType` in interface `STCNotificationEvent`
  Parameters:
    `the` - type of this event
  See Also:
    `NamingEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD